org.apache.tinkerpop.gremlin.server.handler

## Class NioGremlinBinaryRequestDecoder

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.server.handler.NioGremlinBinaryRequestDecoder

- Deprecated.
  As of release 3.3.10, not replaced, use `WebSocketClient`.

      @Deprecated
      public class NioGremlinBinaryRequestDecoder
      extends <any>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NioGremlinBinaryRequestDecoder.DecoderState` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NioGremlinBinaryRequestDecoder(Map<String,MessageSerializer> serializers)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `decode(ChannelHandlerContext channelHandlerContext, ByteBuf byteBuf, List<Object> objects)` Deprecated.
    `MessageSerializer` | `select(String mimeType, MessageSerializer defaultSerializer)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NioGremlinBinaryRequestDecoder

          public NioGremlinBinaryRequestDecoder(Map<String,MessageSerializer> serializers)

      Deprecated.

  - ### Method Detail

    - #### decode

          protected void decode(ChannelHandlerContext channelHandlerContext,
                                ByteBuf byteBuf,
                                List<Object> objects)
                         throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### select

          public MessageSerializer select(String mimeType,
                                          MessageSerializer defaultSerializer)

      Deprecated.

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.